/*
 * @author Walther Neuper, member of the ISAC-team, 
 * Copyright (c) 2004 by Walther Neuper 
 * created Sep 28, 2004, 3:47:22 PM
 * Institute for Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to license terms.
 */
package isac.functest.specify;

import junit.framework.TestCase;

/**
 * TODO TestModel + input a completely new example
 * 
 * @link fully.qualified.Calss#method(fully.qualified.Param)
 * @author Walther Neuper Sep 28, 2004, 3:47:22 PM
 * @version 1.0
 * @see <fully.qualified.Calssname#methodName(param-classes)>
 * @deprecated <if applicable write reason here, otherwise omit this line> @
 */
public class TestModel extends TestCase {

    /**
     * {\bf\UC{Editing the Model}\label{SPECIFY:enter}\label{SPECIFY:check}\\}
     * The user inpts items (i.e. adds formulae to the descriptions) to the
     * fileds 'given', 'find' and 'relate' and gets feedback fron \sisac{} on
     * each item with respect to the problem from the hidden specification. No
     * fields of the Model or Specification will be changed.
     */
    public void testEditItems() {
        System.out.println("---BEGIN isac.functest.TestModel#testEditItems");
        System.out.println("TODO");
        assertEquals("TODO", "TODO");
        System.out.println("---END isac.functest.TestModel#testEditItems");
    }

    /**
     * {\bf\UC{Having \isac{} Complete the
     * CalcHead}\label{SPECIFY:COMPLETE:all}\\} The user requests a CalcHead,
     * containing some input, to be completed automatically.
     *  
     */
    public void testCompleteModel() {
        System.out
                .println("---BEGIN isac.functest.TestModel#testCompleteModel");
        System.out.println("TODO");
        assertEquals("TODO", "TODO");
        System.out.println("---END isac.functest.TestModel#testCompleteModel");
    }

    /**
     * {\bf\UC{Having \isac{} Complete One Field of the
     * Model}\label{SPECIFY:COMPLETE:modelone}\\} When doing a prepared example,
     * the user can have one field of the Model completed by \isac{} with data
     * from the example collection.
     */
    public void testCompleteOneFieldOfModel() {
        System.out
                .println("---BEGIN isac.functest.TestModel#testCompleteOneFieldOfModel");
        System.out.println("TODO");
        assertEquals("TODO", "TODO");
        System.out
                .println("---END isac.functest.TestModel#testCompleteOneFieldOfModel");
    }

    /**
     * {\bf\UC{Toggle a problem from instantiated to
     * non-instantiated}\label{UC:match-toggle-no}\\} The problem browser has
     * been called from a worksheet, and shows the problem instantiated from the
     * worksheet's context. A toggle-button switches to the plain problem
     * without instantiation. And vice versa.
     */
    public void testToggleProblemInstantiation() {
        System.out
                .println("---BEGIN isac.functest.TestModel#testToggleProblemInstantiation");
        System.out.println("TODO");
        assertEquals("TODO", "TODO");
        System.out
                .println("---END isac.functest.TestModel#testToggleProblemInstantiation");
    }
    

}